
Redmine - Defect #3524

attached image files "internal error" on click image link

2009-06-23 20:30 - deborah speece

Status: Closed Start date: 2009-06-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

After uploading numerous attached files (all .gif), Redmine can not access them although the upload was confirmed and the image

name is linked in the Issue Description, where the list of attachments is shown.

example:  http://redmine.on-sitemanager.com/attachments/98/io_complete_online.gif

On clicking the attachment link, the link goes to an "Internal error" page:

"Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Back"

This is super annoying since now about 10 gifs, which were not stored outside of Redmine, have to be re-created and manually

emailed to the other project team members.  Grrrrr !

History

#1 - 2009-06-23 20:33 - deborah speece

If they are re-uploaded, they show up, but the original files were lost by Redmine.  I'm re-uploading them for the team and deleting the lost file links.

#2 - 2009-06-23 22:06 - Jean-Philippe Lang

Please attach the error stack trace.

#3 - 2009-06-23 23:26 - deborah speece

Hi Jean-Philippe,  one of our engineers confessed to accidentally causing the issue.  Thank you :)

"I know the problem I forgot to move the uploaded files over this morning

when I upgrade redmine to the latest version.   I just did the copy so

it should all be better now. Sorry about that."

#4 - 2009-06-26 06:16 - Eric Davis

- Status changed from New to Closed

- Resolution set to Invalid

deborah speece wrote:

"I know the problem I forgot to move the uploaded files over this morning

when I upgrade redmine to the latest version.   I just did the copy so

it should all be better now. Sorry about that."

 Made that mistake before. :)

Thank you for following up.
